GET api/itemapi/item/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "93225006-ea0e-4e75-8fd4-b34d22d35810",
"customer_id": "e206bb83-9dba-40c5-a35f-3f51719af421",
"grouping_quantity": 1,
"id": "c04b79f8-5e2b-4f2d-852c-999be204bbd6",
"item_service_id": "9fc66880-0730-43e3-8940-f2f3ee7c3eba",
"item_garment_type_id": "13c6d760-350e-40f6-8626-152275874e7b",
"item_segment_id": "23ab155e-03fe-4f7f-9539-1c76610312fd",
"item_type_id": "2d2c8ff8-5120-4d1e-9931-d610c74f52c2",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "97abf903-0150-44b5-86ba-4f958672194f",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>93225006-ea0e-4e75-8fd4-b34d22d35810</color_id>
<customer_id>e206bb83-9dba-40c5-a35f-3f51719af421</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>c04b79f8-5e2b-4f2d-852c-999be204bbd6</id>
<item_garment_type_id>13c6d760-350e-40f6-8626-152275874e7b</item_garment_type_id>
<item_segment_id>23ab155e-03fe-4f7f-9539-1c76610312fd</item_segment_id>
<item_service_id>9fc66880-0730-43e3-8940-f2f3ee7c3eba</item_service_id>
<item_type_id>2d2c8ff8-5120-4d1e-9931-d610c74f52c2</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>97abf903-0150-44b5-86ba-4f958672194f</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>